Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Interface Configurable

All Known Implementing Classes:
  Assigned, ForeignGenerator, IncrementGenerator, MultipleHiLoPerTableGenerator, SelectGenerator, SequenceGenerator, SequenceHiLoGenerator, SequenceIdentityGenerator, SequenceStyleGenerator, TableGenerator, TableGenerator, TableHiLoGenerator, UUIDGenerator, UUIDHexGenerator

    public interface Configurable

An `IdentifierGenerator` that supports "configuration".

Author:
  Gavin King
See Also:
  `IdentifierGenerator`

Method Summary
`void` | `configure(Type type, Properties params, Dialect d)` Configure this instance, given the value of parameters specified by the user as `<param>` elements.

Method Detail

### configure

    void configure(Type type,
                   Properties params,
                   Dialect d)
                   throws MappingException

  Configure this instance, given the value of parameters specified by the user as `<param>` elements. This method is called just once, following instantiation.

  Parameters:
    `params` - param values, keyed by parameter name
  Throws:
    `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.